Subject: Re: /opt (NOT!)

From: Charles Ewen MacMillan <[email-masked]>

On 10 Sep 1994, L. Todd Masco wrote:

> Date: 10 Sep 1994 03:02:39 -0400
> From: L. Todd Masco <[email-masked]>
> To: [email-masked]
> Subject: Re: /opt (NOT!)
> 
> In article <Pine.SUN.3.90.940909073357.26903D-100000@xochi>,
> Charles Ewen MacMillan <[email-masked]> wrote:
> >  I feel very much the same about init levels and the like. BSD is
> >  not an effort to make a free SVr4, BSD is its own universe, and we
> >  should not look for SVr4 in it, nor see it where it is not.
> 
> I'm sorry, but this is extremely dopey.  In other words, you'll
> turn your nose up at a new feature that costs you nothing because
> it's too "SVr4"ish.   Do you have the slightest idea of how init
> levels work?  Do you *like* installation processes that involve
> editting your only rc.local?

 Only a jackass would call my argument dopey, because only a jackass 
would make the assumption that I dislike it because it is SVr4ish alone.

 If it affects the way that init functions, and yes I do know exactly how 
init works, then it _does_ potentially "cost me something."

 It also costs me something if I am required to change an existing 
installation, if the Amiga port diverges too far from m68k as an ideal, or
if it adds anything to the system that I am not going to use.

 This is what I have been giving as my argument all along.

> One of my professions is sysadmin, too, and you know what?  I transitioned
> an entire running production network from SunOS 4 to SunOS 5 in the last
> year.  If you're at all competent, it's an easy task -- not trivial, but
> easy.  SVR4 is by far the most BSDish of the UNIces about, thanks largely
> to Sun.  They took a lot of good ideas and put 'em to work in SVR4 because
> they worked and addressed real problems, added real functionality.
> 
> We'd be stupid not to do the same.

 SVR4 is not the work of Sun, and Sun has released only a SVr4-like
operating system, which has no advantages for any of my machines, due to 
the greatly increased overhead of Solaris.

> 
> Fighting improvements just for the sake of resisting change is a worthless
> stance: Have you decided not to upgrade sendmail to 8.6.9 on your systems? 
> If you're on the Internet, have you fought having a firewall?  Have you 
> ignored the bug in fgets() that the Morris Worm took advantage of?  Do
> you still have world readable encrypted passwords in /etc/passwd?
> Have you avoided upgrading your shells to ones that don't have the
> "use setuid root scripts to get root" design misfeature?  Do you still
> demand a sprintf() that returns char *?  
> 
> If the answer to any of these questions is "yes" (which would be
> consistent with the view you espouse above), then you deserve what
> you get.
> 
> Sorry for the flame and rant, but I'm really tired of anti-SV bigots.

 Your sweeping generalizations about systems which stick close to BSD, 
and implied slants on my professionalism simply reveal what an ass you 
are hence, I am not offended, nor do I feel flamed.

 Try reading someone's argument from their perspective next time.

> 
> For those interested:
> 
> I hope to have something that's at least a first start at providing
> run-level rc scripts in the next week or so.  If people are happy with
> it, we can push it to the main NetBSD folks following that.

 I will be gladly starting my own branch of m68k the day that is implemented.

 Regards,

Charles Ewen MacMillan  | Tezcat.COM - Wicker Park 
  <[email-masked]>    | Offering Internet Access 
Modem: 312-850-0112/0117| Via Interactive UNIX to 
Voice: 312-850-0181     |    the Chicago Area.
WWW: http://tezcat.com/ | Mail: [email-masked]